×

Discussion Board

Results 1 to 3 of 3
  1. #1
    Registered User
    Join Date
    Nov 2003
    Posts
    6

    sdk 2.1 to sdk 3.0 compatibility

    Hi,

    some time ago i've developed a small program to manage sms. This program receive and send messages.
    It's based on sdk 2.1 with a 6150 (great phone this one!).

    I was quite sure that changing the phone with a new 6610 and using sdk 3.0 it was possible to still use my program without changing the code, but surprise ... it doesn't work!

    I've done a couple of tests using the samples coming with the sdk 3.0: "messaging" sample works, but "sms edit" and "sms settings" don't work.

    I've seen that "messaging" sample uses the new interface NokiaCLMessaging.

    In one pdf manual coming with the sdk 3.0 they talk about the old interface, and in the second manual they talk about the new one ...
    Anyone have news about it? Is there some docs explain that only the new interface will work?

    thanks a lot

    Dave

  2. #2
    Regular Contributor
    Join Date
    Nov 2003
    Posts
    221
    Hello Dave,

    I made a similar experience. :-)

    Nokia introduced new components in the SDK 3.0 and all phones that are supported beginning from this version work only with these new components (okay, based on the experience you and other forum users made we see that some parts may still work).

    But the only long-time solution you have is, to re-write your entire code using the new libraries (NokiaCLMessaging etc.) to be able to work with the newer models.


    Zamba
    Last edited by Zamba; 2003-11-25 at 18:21.

  3. #3
    Registered User
    Join Date
    Nov 2003
    Posts
    6
    I was afraid about that.

    Thank you Zamba.

    Have a good one!



    Dave

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •